Bug 189160 - internal compiler error: in get_callee_fndecl, at tree.c:5846
Summary: internal compiler error: in get_callee_fndecl, at tree.c:5846
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 5
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 189291
TreeView+ depends on / blocked
 
Reported: 2006-04-17 17:45 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.1.1-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 10:48:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
g++ preprocessed outptu (1.02 MB, text/plain)
2006-04-17 17:45 UTC, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27134 None None None Never

Description Orion Poplawski 2006-04-17 17:45:22 UTC
Created attachment 127817 [details]
g++ preprocessed outptu

Comment 1 Orion Poplawski 2006-04-17 17:45:22 UTC
Description of problem:

While trying to build paraview 2.4.3 for Extras, got the following when building
on PPC:

/scratch/orion/redhat/paraview-2.4.3/paraview-2.4.3/VTK/Common/vtkMath.h: In
member function 'virtual void
vtkUnstructuredGridPartialPreIntegration::Integrate(vtkDoubleArray*,
vtkDataArray*, vtkDataArray*, float*)':
/scratch/orion/redhat/paraview-2.4.3/paraview-2.4.3/VTK/Common/vtkMath.h:583:
internal compiler error: in get_callee_fndecl, at tree.c:5846

I can build fine on FC4/5 x86/x86_64.  Fails on FC5/devel PPC.

Seems similar to http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27134, but the
architecture dependency seems different.

I've attached the /tmp/ccCSJ2Yr.out output file generated.

Requires at least -O to reproduce the error.

Version-Release number of selected component (if applicable):
4.1.0-8

How reproducible:
Everytime

Comment 2 Jakub Jelinek 2006-04-19 10:49:49 UTC
This has been already fixed upstream 3 days ago.

Comment 3 David Woodhouse 2006-04-19 11:19:18 UTC
Refiling against FC-5 and re-opening. When it's closed for FC5, we can build the
package which depends on it and close bug #189291.

Comment 4 Orion Poplawski 2006-04-25 17:00:06 UTC
Just confirming that this was fixed in devel with gcc-4.1.0-9.

Comment 5 Jakub Jelinek 2006-05-10 10:44:49 UTC
gcc-4.1.0-15.fc5 is now in FC5 testing updates.

Comment 6 Orion Poplawski 2006-05-12 21:06:53 UTC
Checks out okay locally.  Let me know when it's in updates and I'll build
paraview for ppc.  Thanks!

Comment 7 Jakub Jelinek 2006-05-29 10:48:50 UTC
gcc-4.1.1-1.fc5 updates have been released during the weekend.


Note You need to log in before you can comment on or make changes to this bug.